{config, lib, ...}:
{
  services.tlp = lib.mkMerge [
    (lib.mkIf ((builtins.match "^(jupiter|neptune|saturn|uranus)$" config.networking.hostName) != null) {
      enable = true;
      settings = {
        START_CHARGE_THRESH_BAT0 = 40;
        STOP_CHARGE_THRESH_BAT0 = 50;
      };
    })
    (lib.mkIf (config.networking.hostName == "ginaz") {
      enable = true;
      settings = {
        STOP_CHARGE_THRESH_BAT0 = 1;
      };
    })
  ];
}
